Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Amazon mp3 downloader and Opensuse 11.0

  1. #1
    jtsai256 NNTP User

    Default Amazon mp3 downloader and Opensuse 11.0

    Hi all,

    Has anyone had difficulty installing the amazon mp3 downloader rpm package on opensuse 11.0? I'm using the KDE 4 live cd version, and I cannot seem to install the package. I get an error regarding missing dependencies of libboost. I tried to search for libboost in yast, without any success. Anyone have any ideas?

    Thanks.

  2. #2
    Join Date
    Jan 2008
    Location
    U.K East Anglia
    Posts
    2,581

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    libboost is provided by boost,search for that & install it.

    Andy
    To be is to do = Immanuel Kant
    To do is to be = Descartes.
    Do be do be do = Frank Sinatra

    SuSE user since 7.0,Linux user since 1994

  3. #3
    jtsai256 NNTP User

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    Hi, thanks for the quick reply.

    I searched for boost and installed everything in yast. Unfortunately I still get the same error.

    Specifically, my failed dependencies are:

    libboost_date_time.so.1.33.1
    libboost_iostreams.so.1.33.1
    libboost_signals.so.1.33.1
    libboost_thread-mt.so.1.33.1

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,336
    Blog Entries
    15

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    On Fri, 27 Jun 2008 18:06:04 GMT
    jtsai256 <jtsai256@no-mx.forums.opensuse.org> wrote:

    >
    > Hi, thanks for the quick reply.
    >
    > I searched for boost and installed everything in yast. Unfortunately I
    > still get the same error.
    >
    > Specifically, my failed dependencies are:
    >
    > libboost_date_time.so.1.33.1
    > libboost_iostreams.so.1.33.1
    > libboost_signals.so.1.33.1
    > libboost_thread-mt.so.1.33.1
    >
    >

    Hi
    That's because boost is at 1.34 in 11.0, the amazonmp3 is for 10.3
    version 1.33.

    --
    Cheers Malcolm (Linux Counter #276890)
    SLED 10.0 SP2 x86_64 Kernel 2.6.16.60-0.23-smp
    up 16 days 14:57, 0 users, load average: 0.15, 0.15, 0.10
    GPU GeForce 8600 GTS Silent - Driver Version: 173.14.09


  5. #5
    russes78 NNTP User

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    Is it possible to get version 1.33 for OpenSUSE 11? Even if there is a repository from 10.3, would it be compatible with 11? It unfortunate for Amazon that they have to build so many versions to support Linux.

  6. #6
    Join Date
    Jun 2008
    Location
    Decatur, IL
    Posts
    39

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    Quote Originally Posted by russes78 View Post
    It unfortunate for Amazon that they have to build so many versions to support Linux.
    Yeah. Sucks. I still have Ubuntu on my laptop simply because the Amazon downloader still works on it. I know some find it controversial but I agree that having the major Linux Distributions standardizing on core components would benefit Linux as a whole.
    Dell Latitude | D600
    openSUSE 11 - GNOME
    Linux Registered User # 449097

  7. #7

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    Quote Originally Posted by russes78 View Post
    It unfortunate for Amazon that they have to build so many versions to support Linux.
    That's their choice. There's nothing stopping them from providing an API to let existing media apps such as Amarok and Banshee provide this service. That they're providing a Linux package at all, though, is impressive and good business.

  8. #8
    freezio NNTP User

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    I got the wine version to work. It's way buggy off the shelf, but using this script (http://mad-scientist.us/amazonmp3) and setting it as the default app for .amz files has it doing ok.

  9. #9

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    I tried to install the older version of the boost library from the build service in order to get this working, but YaST wanted to downgrade a bunch of stuff including OpenOffice, so that's not an option.

    Is there a way to create a "sandbox" of sorts for binaries like this that depend on older libraries (short of running a VM)?

  10. #10

    Default Re: Amazon mp3 downloader and Opensuse 11.0

    SOLVED!

    I got the openSUSE 10.3 version of the downloader working under 11.0. If anyone's interested, I added a wiki page that explains what you need to do.

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •